﻿.ui-autocomplete {
    position: absolute;
    top: 100%;
    left: 0;
    z-index: 1000;
    float: left;
    display: none;
    min-width: 160px;
    padding: 4px 0;
    margin: 0 0 10px 25px;
    list-style: none;
    background-color: #ffffff;
    border-color: #ccc;
    border-color: rgba(0, 0, 0, 0.2);
    border-style: solid;
    border-width: 1px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
    -webkit-box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
    -moz-box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
    -webkit-background-clip: padding-box;
    -moz-background-clip: padding;
    background-clip: padding-box;
    *border-right-width: 2px;
    *border-bottom-width: 2px;
}

.ui-menu-item > a.ui-corner-all {
    display: block;
    padding: 3px 15px;
    clear: both;
    font-weight: normal;
    line-height: 18px;
    color: #555555;
    white-space: nowrap;
    text-decoration: none;
}

.ui-state-hover, .ui-state-active {
    color: #ffffff;
    text-decoration: none;
    background-color: #0088cc;
    border-radius: 0px;
    -webkit-border-radius: 0px;
    -moz-border-radius: 0px;
    background-image: none;
}

.ui-menu .ui-menu-item a {
    color: #96f226;
    border-radius: 0px;
    border: 1px solid #454545;
}

.styled_checkbox {
    margin: 0px;
    padding: 0px 6px;
    display: inline-block;
    white-space: nowrap;
}

.border_right {
    border-right: 2px;
    border-right-style: solid;
    border-right-color: lightgray;
}

.changed-input {
    background: lemonchiffon;
}

.printonly {
    display: none;
}

.mandatory {
    color: red;
}

.icon > var {
    position: absolute;
    top: 0;
    right: 0;
    padding: 0px 6px;
    background: red;
    color: white;
    border-radius: 3px;
}

/* Address postcode lookup spinner*/

#address_lookup_spinner, #price_history_spinner {
    font-size: 16px;
    animation: spin .7s infinite linear;
    -webkit-animation: spin-chrome .7s infinite linear;
}

@-webkit-keyframes spin-chrome {
    from {
        -webkit-transform: rotate(0deg);
    }

    to {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    from {
        transform: scale(1) rotate(0deg);
    }

    to {
        transform: scale(1) rotate(360deg);
    }
}

.lookup-table {
    cursor: pointer;
}

.row_hover {
    background-color: #e5e5e5 !important;
}

#viewUsersLink {
    color: white;
}
/* Schedule Location styles */
.location-table {
    margin-top: 20px;
}

/* Compliance Audits page */
.export-audit_button {
    border: none;
    margin-right: 1rem;
}

#lstSelected, #lstProducts {
    min-height: 400px;
}

.mapping_0 {
    background-color: aliceblue;
}

.mapping_1 {
    background-color: lightgreen;
}

.mapping_2 {
    background-color: lightyellow;
}

li.selected {
    background-color: aliceblue;
}
/*li.selected  span.text {
    color: #fff;
}*/

.mr-5 {
    margin-right: 5px
}

.w-100 {
    width: 100%;
}

.h-100 {
    height: 100%;
}

.h-500 {
    height: 500px;
}

.b-0 {
    border: none;
}

.mt-50 {
    margin-top: 50%;
}

.m-3 {
    margin: 3px
}

.italic {
    font-style: italic;
}

.bold {
    font-weight: bold;
}

.font-revert {
    font-weight: revert;
}

.cursor-pointer {
    cursor: pointer;
}

.flex-center {
    display: flex;
    justify-content: center;
    align-items: center;
}

.flex-end {
    display: flex;
    flex-direction: row;
    justify-content: end;
    text-align: center;
}

[data-visible="false"] {
    display: none;
}

[data-submitting="true"] button,
[data-submitting="true"] input,
[data-submitting="true"] select {
    pointer-events: none;
    cursor: not-allowed;
    opacity: 0.6;
}

[data-submitting="true"] button[type="submit"]::after,
[data-submitting="true"] input[type="submit"]::after,
[data-loading="true"] span {
    content: '';
    width: 12px;
    height: 12px;
    border: 2px solid #FFF;
    border-bottom-color: transparent;
    border-radius: 50%;
    display: inline-block;
    box-sizing: border-box;
    animation: rotation 1s linear infinite;
    font-size: 12px;
}

@keyframes rotation {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}


.icon-highalert {
    color: #f03b3b;
    float: right;
    cursor: pointer;
}

.half-opacity {
    opacity: 0.5;
}